Subject: [AAA-WG]: Re: Technical question about Diam. transport

From: Bernard Aboba <[email-masked]>
Date: Sun, 24 Nov 2002 09:42:12 -0800 (PST)

I think the answer is that the transport document focusses on the AAA
layer heartbeat, since that is available over any reliable transport, and
provides inter-box failover support. That said, the SCTP heartbeat could result
in failover between interfaces on the same box.

On Mon, 18 Nov 2002 [email-masked] wrote:

> Hi Bernard,
>
> I'm a bit late with this question but some time ago while discussing the
> issue 372 (T-flag) you wrote:
>
> "While the original connection is "suspect", the
> Diameter client may have switched over to the new server, and according to
> the transport state machine, the time between going into the "SUSPECT"
> state and closing the connection is Tw + TIME_WAIT, assuming that no
> heartbeat is detected. If a heartbeat is detected, then the
> original connection might remain up for considerably longer than this. So
> the time to look into the future is really until TIME_WAIT after the
> old connection is closed."
>
> I did check the aaa-transport (http://www.ietf.org/internet-drafts/draft-ietf-aaa-transport-08.txt)
> , I know that SCTP reports to the application layer but I didn't find any
> interaction with the SCTP heartbeat in the described transport state machine.
> Could you help me to understand how exactly interaction with SCTP is supposed
> to work and when Diameter should close the connection?
>
> Thanks by advance
> Marco
>